ATOF(3)

NAME
atof - convert ASCII string to double

SYNOPSIS
#include <stdlib.h>
double
atof(const char *nptr);

DESCRIPTION
The atof() function converts the initial portion of the string pointed to by nptr to double representation.

It is equivalent to:

    strtod(nptr, (char **)NULL);

SEE ALSO
atoi(3), atol(3), strtod(3), strtol(3), strtoul(3)

STANDARDS
The atof() function conforms to ansiC.

BUGS
This manual page represents intent instead of actual practice. While it is intended that atof() be implemented using strtod(3), this has not yet happened. In the current system, atof() translates a string in the following form to a double: a string of leading white space, possibly followed by a sign (``+'' or ``-''), followed by a digit string which may contain one decimal point (``.''), which may be followed by either of the exponent flags (``E'' or ``e''), and lastly, followed by a signed or unsigned integer.